PETSc version 3.15.5
Fix/Edit manual page

# DMTSSetI2Function

set TS implicit function evaluation function for 2nd order systems

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetI2Function(DM dm,TSI2Function fun,void *ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with TS
| fun | - function evaluation routine
| ctx | - context for residual evaluation

### Calling sequence of fun

        PetscErrorCode fun(TS ts,PetscReal t,Vec U,Vec U_t,Vec U_tt,Vec F,ctx);

| t | - time at step/stage being solved
| U | - state vector
| U_t | - time derivative of state vector
| U_tt | - second time derivative of state vector
| F | - function vector
| ctx | - [optional] user-defined context for matrix evaluation routine (may be NULL)

### Note

TSSetI2Function() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

TSSetI2Function()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages